astra-sm

This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

  • Hi everybody
    plz help me
    i can' not install astra-sm by telnet or other panel

    VTI 15 VU+ Zero 4K
    Images
    • 1_0_1_138D_30_36_CE40000_0_0_0.jpg

      246.91 kB, 1,920×1,080, viewed 37 times
    • n 2022-10.jpg

      129.46 kB, 1,137×495, viewed 31 times

    The post was edited 1 time, last by wawa16 ().

  • The error message is quite clear: it cannot be installed due to incompatible architecture.

    Wherever you got that package from: ask there to provide a package that can be installed on "armv7ahf-vfp-neon"
    Diskutiere nie mit einem Idioten. Er zieht dich auf sein Niveau runter und schlägt dich mit seiner Erfahrung.

    The post was edited 1 time, last by rdamas ().

  • Well - obviously these are OATV packages. There's no guarantee that these will run on VTi anyway. And you won't get support if they won't. You probably should stick to OATV if you need these packages.

    In any case, there are three possible workarounds:
    - edit /etc/opkg/arch.conf to accept cortexa15hf-neon-vfpv4 architecture
    - edit the control file in the package and change architecture to something that suits archiceture (see /etc/opkg/arch.conf)
    - unpack the package and install the data file inside manually.

    If you are lucky, this will work. If not: you are on your own.

    And pointing to a URL here is not what I meant by asking to provide an installable package from your source.
    Diskutiere nie mit einem Idioten. Er zieht dich auf sein Niveau runter und schlägt dich mit seiner Erfahrung.

    The post was edited 1 time, last by rdamas ().

  • don't work

    i find this ipk same error

    Source Code

    1. Updated list of available packages in /var/lib/opkg
    2. Downloading: VTi-softcams_armv7ahf-vfp-neon.gz
    3. Inflating: VTi-softcams_armv7ahf-vfp-neon
    4. Updated list of available packages in /var/lib/opkg
    5. on.
    6. Downloading: VTi-thirdparty.gz
    7. Inflating: VTi-thirdparty
    8. Updated list of available packages in /var/lib/opkg
    9. Downloading: VTi-thirdparty_armv7ahf-vfp-neon.gz
    10. Inflating: VTi-thirdparty_armv7ahf-vfp-neon
    11. Updated list of available packages in /var/lib/opkg
    12. neon.
    13. Downloading: VTi-vuzero4k.gz
    14. Inflating: VTi-vuzero4k
    15. Updated list of available packages in /var/lib/opkg
    16. Downloading: VTi-vuzero4k_static.gz
    17. Inflating: VTi-vuzero4k_static
    18. Updated list of available packages in /var/lib/opkg
    19. Not selecting astra-sm 0.2 due to incompatible arch
    20. Unknown package 'astra-sm'.
    21. Collected errors:
    22. * opkg_install_cmd: Cannot install package astra-s
    23. root@vuzero4k:~# If you are lucky, this will work.
    24. -sh: If: command not found
    Display All


    plz
    how to edit /etc/opkg/arch.conf
    like this

    arch all 1
    arch any 6
    arch noarch 11
    arch armv7ahf-vfp-neon 16
    arch vuzero4k 21
    arch cortexa15hf-neon-vfpv4
  • There's a pattern in the lines that you should understand and follow:

    Keyword "arch" followed by architecture string to be used followed by a priority number that you missed.
    Diskutiere nie mit einem Idioten. Er zieht dich auf sein Niveau runter und schlägt dich mit seiner Erfahrung.
  • No, I won't.

    Because: if you aren't even able to add a number value to a line in file on your own, you will ask again and again for every error that occurs or every mistake you make. Not my business.

    And again: ask upstream to provide a package that is installable an runs on VTi. These are OATV packages in the first place, and probably not meant to run on VTI anyway.
    Diskutiere nie mit einem Idioten. Er zieht dich auf sein Niveau runter und schlägt dich mit seiner Erfahrung.
  • Kein support hier!
    Kein Support via PN.!